Page MenuHomePhabricator

Integrate editing toolbar in the tools column in Content Translation
Closed, ResolvedPublic8 Story Points

Description

Editing tools should be provided in the tools column in Content Translation to align with the translation needs, avoid fragmentation of tools, and prevent regressions in the experience for our current users.

Rationale

The user research we did with translators shows that:

  • The main focus of their translation activities is adapting the content, not formatting or adding new content. Unlike other contexts such as creating an article from scratch or editing an existing one, translation is about transferring content from an existing article. Most of the time that content preserves the same formatting when translated. There are situations when extending the while being translated makes sense, but that is not the norm.
  • Translation requires focus on the content and surrounding context. When translating users pay attention to the source content, and the text around the sentences they adapt. We want translators to focus on the content the need without tools getting in the way.

Content Translation follows a 3-column approach where tools are provided on the third column to let the users focus on the content. Keeping tools together in the tools area avoids users to look in different places for different tool. Fragmenting the ways tools are exposed to the users breaks established and tested interaction patterns Content Translation relies on and would be an important regression to their user experience.

Background

The screenshots below shows how editing tools are provided in different contexts:

Initial status (CX1)
Content translation users have been provided editing tools to select bold, italics and lists (bullet and numbered) as part of the tools column. This is the current status that we should aim to preserve, and improve when possible.

Status on in-progress VE integration
The initial patchsets for VE integration provide a toolbar above the three columns, resulting in controls to be over the source article (which users cannot edit using those tools) and fragmenting the areas where tools are provided, which requires users to figure out where to look for each kind of tool.

Proposal

As it is detailed in T160921, the editing toolbar should be provided in the tools column. The ticket captures the ultimate goal of providing the key tools with access to many additional ones. However, it is totally fine to start by providing just the most basic tools that are currently supported in CX1.

Considering that current Content Translation users only have access to bold italics and lists, we can start by adding support for those (to avoid regressions in their experience) and only adding the additional tools that do not present a challenge to be integrated in the proposed format. For example, if "special characters" requires further adaptation, it can be considered for future iterations.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 21 2017, 3:07 PM
Arrbee triaged this task as Normal priority.Oct 27 2017, 5:30 AM
Arrbee moved this task from Needs Triage to CX2 on the ContentTranslation board.
Deskana changed the task status from Open to Stalled.Oct 30 2017, 2:44 PM
Deskana set the point value for this task to 8.

After this patch, editing toolbar is integrated into tools column on CX2.
Some basic editing features, such as undo/redo, bold/italic and bullet lists, are working.

@Pginer-WMF, is this ticket resolved? I read the description and seems like answer is yes.

Pginer-WMF closed this task as Resolved.Mar 2 2018, 12:07 PM
Pginer-WMF claimed this task.

After this patch, editing toolbar is integrated into tools column on CX2.
Some basic editing features, such as undo/redo, bold/italic and bullet lists, are working.
@Pginer-WMF, is this ticket resolved? I read the description and seems like answer is yes.

There is still some polishing to be done, but that can be done as follow-up tickets.

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptMar 2 2018, 12:07 PM